
From: Dave Jones <davej@redhat.com>

If CONFIG_NUMA isn't set, we use the define in <linux/mmzone.h> for
early_pfn_to_nid (which defines it to 0).

Because of this, the prototype needs to move inside the CONFIG_NUMA too, or
anal gcc's get really confused.

Signed-off-by: Dave Jones <davej@redhat.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 include/asm-i386/mmzone.h |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

diff -puN include/asm-i386/mmzone.h~fix-up-non-numa-breakage-in-mmzoneh include/asm-i386/mmzone.h
--- devel/include/asm-i386/mmzone.h~fix-up-non-numa-breakage-in-mmzoneh	2005-07-06 01:01:37.000000000 -0700
+++ devel-akpm/include/asm-i386/mmzone.h	2005-07-06 01:01:37.000000000 -0700
@@ -37,6 +37,8 @@ static inline void get_memcfg_numa(void)
 	get_memcfg_numa_flat();
 }
 
+extern int early_pfn_to_nid(unsigned long pfn);
+
 #else /* !CONFIG_NUMA */
 #define get_memcfg_numa get_memcfg_numa_flat
 #define get_zholes_size(n) (0)
@@ -149,6 +151,4 @@ static inline int pfn_valid(int pfn)
 
 #endif /* CONFIG_NEED_MULTIPLE_NODES */
 
-extern int early_pfn_to_nid(unsigned long pfn);
-
 #endif /* _ASM_MMZONE_H_ */
_
